FTBFS in edgy

Bug #66212 reported by Fabio Massimo Di Nitto on 2006-10-15
10
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
High
Daniel Holbach

Bug Description

g++ -o wpa_gui .obj/main.o .obj/wpa_ctrl.o .obj/wpagui.o .obj/eventhistory.o .obj/scanresults.o .obj/userdatarequest.o .obj/networkconfig.o .obj/moc_wpagui.o .obj/moc_eventhistory.o .obj/moc_scanresults.o .obj/moc_userdatarequest.o .obj/moc_networkconfig.o -L/usr/lib -lQt3Support -L/build/buildd/qt4-x11-4.2.0/lib -lQtSql -L/usr/lib -L/usr/lib/mysql -lpq -lmysqlclient_r -lsqlite -lQtXml -L/usr/X11R6/lib -lQtNetwork -lQtGui -laudio -lXt -lpng -lSM -lICE -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lXext -lX11 -lQtCore -lfontconfig -lz -lm -lglib-2.0 -ldl -lpthread
/usr/bin/ld: cannot find -lmysqlclient_r
collect2: ld returned 1 exit status
make[1]: *** [wpa_gui] Error 1
make[1]: Leaving directory `/root/wpasupplicant-0.5.4/wpa_gui-qt4'
make: *** [build/wpagui] Error 2

Changed in wpasupplicant:
importance: Undecided → High
status: Unconfirmed → Confirmed
Michael Bienia (geser) wrote :

wpasupplicant (0.5.4-5ubuntu1) edgy; urgency=low

  * debian/control: add libmysqlclient15-dev, libsqlite0-dev, libglib2.0-dev
    to build-depend to fix FTBFS (Closes: Malone #66212).

Matt Zimmerman (mdz) wrote :

Daniel, please review and sponsor

Changed in wpasupplicant:
assignee: nobody → dholbach
Daniel Holbach (dholbach) wrote :

The bug is in qt4-x11:

daniel@bert:~/wpasupplicant-0.5.4$ apt-cache showsrc qt4-x11 | grep Build-Depends
Build-Depends: debhelper (>= 5.0.0), libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4), x11proto-core-dev, libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libjpeg62-dev, libjpeg62-dev, zlib1g-dev, libmng-dev (>= 1.0.3), libpng12-dev, libfreetype6-dev, libmysqlclient15-dev, flex, libpq-dev, libaudio-dev, libcupsys2-dev, xlibmesa-gl-dev | libgl-dev, libglu1-xorg-dev | libglu1-mesa-dev | libglu-dev, libxft-dev, libxrender-dev, libxcursor-dev, cdbs (>= 0.4.0), dpatch, libxinerama-dev, libsqlite0-dev, libsqlite3-dev, libdbus-1-dev, libglib2.0-dev
daniel@bert:~/wpasupplicant-0.5.4$ apt-cache show libqt4-dev | grep Depends
Depends: libqt4-core (= 4.2.0-1ubuntu2), libqt4-gui (= 4.2.0-1ubuntu2), libqt4-sql (= 4.2.0-1ubuntu2), libqt4-qt3support (= 4.2.0-1ubuntu2), libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4), x11proto-core-dev, libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, libxinerama-dev, libxi-dev, libmng-dev (>= 1.0.3), libpng12-0-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, xlibmesa-gl-dev | libgl-dev, libglu1-xorg-dev | libglu1-mesa-dev | libglu-dev, libxft-dev, libaudio-dev, libpq-dev
daniel@bert:~/wpasupplicant-0.5.4$

Daniel Holbach (dholbach) wrote :

 qt4-x11 (4.2.0-1ubuntu3) edgy; urgency=low
 .
   * debian/control:
     - added libmysqlclient15-dev, libsqlite0-dev, libglib2.0-dev to
       Build-Depends. (Malone: #66212)

After this, wpasupplicant will need to be given back.

Changed in qt4-x11:
status: Confirmed → Fix Committed
Matt Zimmerman (mdz) wrote :

subscribing Adam regarding the give-back. I can also do it if I'm around

Tollef Fog Heen (tfheen) wrote :

This seems to be fixed now and wpasupplicant was already given back.

Changed in qt4-x11:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Patches